Update a Project
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"revenueAccountingCode": "<string>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"externalAccountingCode": "<string>",
"durationType": "<string>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"financialNeedAmount": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"isRestrictedToGiftSpecifications": "<boolean>",
"parentId": "<integer>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"enableSync": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
revenueAccountingCode: '<string>',
inventoryStatus: '<string>',
type: '<string>',
location: '<string>',
onlineDisplayName: '<string>',
description: '<string>',
externalAccountingCode: '<string>',
durationType: '<string>',
startDate: '<dateTime>',
endDate: '<dateTime>',
financialNeedAmount: '<double>',
financialNeedType: '<string>',
financialNeedFrequency: '<string>',
isPublic: '<boolean>',
isActive: '<boolean>',
isAvailableOnline: '<boolean>',
isLimitedToFinancialNeed: '<boolean>',
isTaxDeductible: '<boolean>',
treatAsAccountsPayable: '<boolean>',
isRestrictedToGiftSpecifications: '<boolean>',
parentId: '<integer>',
beginningBalance: '<double>',
currentBalance: '<double>',
enableSync: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Project/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Project/{projectId}"
payload = {
"name": "<string>",
"revenueAccountingCode": "<string>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"externalAccountingCode": "<string>",
"durationType": "<string>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"financialNeedAmount": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"isRestrictedToGiftSpecifications": "<boolean>",
"parentId": "<integer>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"enableSync": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Project/{projectId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"revenueAccountingCode\": \"<string>\",\n \"inventoryStatus\": \"<string>\",\n \"type\": \"<string>\",\n \"location\": \"<string>\",\n \"onlineDisplayName\": \"<string>\",\n \"description\": \"<string>\",\n \"externalAccountingCode\": \"<string>\",\n \"durationType\": \"<string>\",\n \"startDate\": \"<dateTime>\",\n \"endDate\": \"<dateTime>\",\n \"financialNeedAmount\": \"<double>\",\n \"financialNeedType\": \"<string>\",\n \"financialNeedFrequency\": \"<string>\",\n \"isPublic\": \"<boolean>\",\n \"isActive\": \"<boolean>\",\n \"isAvailableOnline\": \"<boolean>\",\n \"isLimitedToFinancialNeed\": \"<boolean>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"treatAsAccountsPayable\": \"<boolean>\",\n \"isRestrictedToGiftSpecifications\": \"<boolean>\",\n \"parentId\": \"<integer>\",\n \"beginningBalance\": \"<double>\",\n \"currentBalance\": \"<double>\",\n \"enableSync\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Project/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'revenueAccountingCode' => '<string>',
'inventoryStatus' => '<string>',
'type' => '<string>',
'location' => '<string>',
'onlineDisplayName' => '<string>',
'description' => '<string>',
'externalAccountingCode' => '<string>',
'durationType' => '<string>',
'startDate' => '<dateTime>',
'endDate' => '<dateTime>',
'financialNeedAmount' => '<double>',
'financialNeedType' => '<string>',
'financialNeedFrequency' => '<string>',
'isPublic' => '<boolean>',
'isActive' => '<boolean>',
'isAvailableOnline' => '<boolean>',
'isLimitedToFinancialNeed' => '<boolean>',
'isTaxDeductible' => '<boolean>',
'treatAsAccountsPayable' => '<boolean>',
'isRestrictedToGiftSpecifications' => '<boolean>',
'parentId' => '<integer>',
'beginningBalance' => '<double>',
'currentBalance' => '<double>',
'enableSync' => '<boolean>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Project/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"revenueAccountingCode\": \"<string>\",\n \"inventoryStatus\": \"<string>\",\n \"type\": \"<string>\",\n \"location\": \"<string>\",\n \"onlineDisplayName\": \"<string>\",\n \"description\": \"<string>\",\n \"externalAccountingCode\": \"<string>\",\n \"durationType\": \"<string>\",\n \"startDate\": \"<dateTime>\",\n \"endDate\": \"<dateTime>\",\n \"financialNeedAmount\": \"<double>\",\n \"financialNeedType\": \"<string>\",\n \"financialNeedFrequency\": \"<string>\",\n \"isPublic\": \"<boolean>\",\n \"isActive\": \"<boolean>\",\n \"isAvailableOnline\": \"<boolean>\",\n \"isLimitedToFinancialNeed\": \"<boolean>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"treatAsAccountsPayable\": \"<boolean>\",\n \"isRestrictedToGiftSpecifications\": \"<boolean>\",\n \"parentId\": \"<integer>\",\n \"beginningBalance\": \"<double>\",\n \"currentBalance\": \"<double>\",\n \"enableSync\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Project/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"revenueAccountingCode\": \"<string>\",\n \"inventoryStatus\": \"<string>\",\n \"type\": \"<string>\",\n \"location\": \"<string>\",\n \"onlineDisplayName\": \"<string>\",\n \"description\": \"<string>\",\n \"externalAccountingCode\": \"<string>\",\n \"durationType\": \"<string>\",\n \"startDate\": \"<dateTime>\",\n \"endDate\": \"<dateTime>\",\n \"financialNeedAmount\": \"<double>\",\n \"financialNeedType\": \"<string>\",\n \"financialNeedFrequency\": \"<string>\",\n \"isPublic\": \"<boolean>\",\n \"isActive\": \"<boolean>\",\n \"isAvailableOnline\": \"<boolean>\",\n \"isLimitedToFinancialNeed\": \"<boolean>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"treatAsAccountsPayable\": \"<boolean>\",\n \"isRestrictedToGiftSpecifications\": \"<boolean>\",\n \"parentId\": \"<integer>\",\n \"beginningBalance\": \"<double>\",\n \"currentBalance\": \"<double>\",\n \"enableSync\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Project/{projectId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
revenueAccountingCode: '<string>',
inventoryStatus: '<string>',
type: '<string>',
location: '<string>',
onlineDisplayName: '<string>',
description: '<string>',
externalAccountingCode: '<string>',
durationType: '<string>',
startDate: '<dateTime>',
endDate: '<dateTime>',
financialNeedAmount: '<double>',
financialNeedType: '<string>',
financialNeedFrequency: '<string>',
isPublic: '<boolean>',
isActive: '<boolean>',
isAvailableOnline: '<boolean>',
isLimitedToFinancialNeed: '<boolean>',
isTaxDeductible: '<boolean>',
treatAsAccountsPayable: '<boolean>',
isRestrictedToGiftSpecifications: '<boolean>',
parentId: '<integer>',
beginningBalance: '<double>',
currentBalance: '<double>',
enableSync: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 1501,
"enableSync": false,
"name": "Holiday Meals 2025",
"projectCode": "HM-2025",
"externalAccountingCode": "4100",
"onlineDisplayName": "Holiday Meals 2025",
"description": "Holiday food distribution to 500 families across the metro region.",
"photoUrl": "https://cdn.virtuoussoftware.com/projects/1501-cover.jpg",
"parentId": null,
"parentName": null,
"isSubProject": false,
"inventoryStatus": "None",
"type": "Program",
"location": "Springfield, OR",
"isRestrictedToGiftSpecifications": false,
"isLimitedToFinancialNeed": false,
"isPublic": true,
"isActive": true,
"isAvailableOnline": true,
"isTaxDeductible": true,
"treatAsAccountsPayable": false,
"beginningBalance": 0,
"currentBalance": 18420,
"financialNeedType": "Fixed",
"financialNeedFrequency": "OneTime",
"financialNeedAmount": 50000,
"startDate": "2025-09-01T00:00:00Z",
"endDate": "2025-12-31T00:00:00Z",
"durationType": "Fixed",
"lifeToDateGiving": 18420,
"lifeToDateGiftCount": 142,
"lifeToDateGiversCount": 128,
"lifeToDateExpenseTotal": 6200,
"calendarYearToDateGiving": 18420,
"calendarYearToDateGiftCount": 142,
"calendarYearToDateGiversCount": 128,
"calendarYearToDateExpenseTotal": 6200,
"createDateTimeUtc": "2025-09-01T08:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"giftSpecifications": [
{
"amount": 50,
"frequency": "OneTime"
},
{
"amount": 100,
"frequency": "OneTime"
}
],
"customFields": {}
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}How to Create and Update Projects
Update a Project
Similar to other update methods in the API, excluding a property will remove it’s value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
Project
/
{projectId}
Update a Project
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"revenueAccountingCode": "<string>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"externalAccountingCode": "<string>",
"durationType": "<string>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"financialNeedAmount": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"isRestrictedToGiftSpecifications": "<boolean>",
"parentId": "<integer>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"enableSync": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
revenueAccountingCode: '<string>',
inventoryStatus: '<string>',
type: '<string>',
location: '<string>',
onlineDisplayName: '<string>',
description: '<string>',
externalAccountingCode: '<string>',
durationType: '<string>',
startDate: '<dateTime>',
endDate: '<dateTime>',
financialNeedAmount: '<double>',
financialNeedType: '<string>',
financialNeedFrequency: '<string>',
isPublic: '<boolean>',
isActive: '<boolean>',
isAvailableOnline: '<boolean>',
isLimitedToFinancialNeed: '<boolean>',
isTaxDeductible: '<boolean>',
treatAsAccountsPayable: '<boolean>',
isRestrictedToGiftSpecifications: '<boolean>',
parentId: '<integer>',
beginningBalance: '<double>',
currentBalance: '<double>',
enableSync: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Project/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Project/{projectId}"
payload = {
"name": "<string>",
"revenueAccountingCode": "<string>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"externalAccountingCode": "<string>",
"durationType": "<string>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"financialNeedAmount": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"isRestrictedToGiftSpecifications": "<boolean>",
"parentId": "<integer>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"enableSync": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Project/{projectId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"revenueAccountingCode\": \"<string>\",\n \"inventoryStatus\": \"<string>\",\n \"type\": \"<string>\",\n \"location\": \"<string>\",\n \"onlineDisplayName\": \"<string>\",\n \"description\": \"<string>\",\n \"externalAccountingCode\": \"<string>\",\n \"durationType\": \"<string>\",\n \"startDate\": \"<dateTime>\",\n \"endDate\": \"<dateTime>\",\n \"financialNeedAmount\": \"<double>\",\n \"financialNeedType\": \"<string>\",\n \"financialNeedFrequency\": \"<string>\",\n \"isPublic\": \"<boolean>\",\n \"isActive\": \"<boolean>\",\n \"isAvailableOnline\": \"<boolean>\",\n \"isLimitedToFinancialNeed\": \"<boolean>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"treatAsAccountsPayable\": \"<boolean>\",\n \"isRestrictedToGiftSpecifications\": \"<boolean>\",\n \"parentId\": \"<integer>\",\n \"beginningBalance\": \"<double>\",\n \"currentBalance\": \"<double>\",\n \"enableSync\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Project/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'revenueAccountingCode' => '<string>',
'inventoryStatus' => '<string>',
'type' => '<string>',
'location' => '<string>',
'onlineDisplayName' => '<string>',
'description' => '<string>',
'externalAccountingCode' => '<string>',
'durationType' => '<string>',
'startDate' => '<dateTime>',
'endDate' => '<dateTime>',
'financialNeedAmount' => '<double>',
'financialNeedType' => '<string>',
'financialNeedFrequency' => '<string>',
'isPublic' => '<boolean>',
'isActive' => '<boolean>',
'isAvailableOnline' => '<boolean>',
'isLimitedToFinancialNeed' => '<boolean>',
'isTaxDeductible' => '<boolean>',
'treatAsAccountsPayable' => '<boolean>',
'isRestrictedToGiftSpecifications' => '<boolean>',
'parentId' => '<integer>',
'beginningBalance' => '<double>',
'currentBalance' => '<double>',
'enableSync' => '<boolean>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Project/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"revenueAccountingCode\": \"<string>\",\n \"inventoryStatus\": \"<string>\",\n \"type\": \"<string>\",\n \"location\": \"<string>\",\n \"onlineDisplayName\": \"<string>\",\n \"description\": \"<string>\",\n \"externalAccountingCode\": \"<string>\",\n \"durationType\": \"<string>\",\n \"startDate\": \"<dateTime>\",\n \"endDate\": \"<dateTime>\",\n \"financialNeedAmount\": \"<double>\",\n \"financialNeedType\": \"<string>\",\n \"financialNeedFrequency\": \"<string>\",\n \"isPublic\": \"<boolean>\",\n \"isActive\": \"<boolean>\",\n \"isAvailableOnline\": \"<boolean>\",\n \"isLimitedToFinancialNeed\": \"<boolean>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"treatAsAccountsPayable\": \"<boolean>\",\n \"isRestrictedToGiftSpecifications\": \"<boolean>\",\n \"parentId\": \"<integer>\",\n \"beginningBalance\": \"<double>\",\n \"currentBalance\": \"<double>\",\n \"enableSync\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Project/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"revenueAccountingCode\": \"<string>\",\n \"inventoryStatus\": \"<string>\",\n \"type\": \"<string>\",\n \"location\": \"<string>\",\n \"onlineDisplayName\": \"<string>\",\n \"description\": \"<string>\",\n \"externalAccountingCode\": \"<string>\",\n \"durationType\": \"<string>\",\n \"startDate\": \"<dateTime>\",\n \"endDate\": \"<dateTime>\",\n \"financialNeedAmount\": \"<double>\",\n \"financialNeedType\": \"<string>\",\n \"financialNeedFrequency\": \"<string>\",\n \"isPublic\": \"<boolean>\",\n \"isActive\": \"<boolean>\",\n \"isAvailableOnline\": \"<boolean>\",\n \"isLimitedToFinancialNeed\": \"<boolean>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"treatAsAccountsPayable\": \"<boolean>\",\n \"isRestrictedToGiftSpecifications\": \"<boolean>\",\n \"parentId\": \"<integer>\",\n \"beginningBalance\": \"<double>\",\n \"currentBalance\": \"<double>\",\n \"enableSync\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Project/{projectId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
revenueAccountingCode: '<string>',
inventoryStatus: '<string>',
type: '<string>',
location: '<string>',
onlineDisplayName: '<string>',
description: '<string>',
externalAccountingCode: '<string>',
durationType: '<string>',
startDate: '<dateTime>',
endDate: '<dateTime>',
financialNeedAmount: '<double>',
financialNeedType: '<string>',
financialNeedFrequency: '<string>',
isPublic: '<boolean>',
isActive: '<boolean>',
isAvailableOnline: '<boolean>',
isLimitedToFinancialNeed: '<boolean>',
isTaxDeductible: '<boolean>',
treatAsAccountsPayable: '<boolean>',
isRestrictedToGiftSpecifications: '<boolean>',
parentId: '<integer>',
beginningBalance: '<double>',
currentBalance: '<double>',
enableSync: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 1501,
"enableSync": false,
"name": "Holiday Meals 2025",
"projectCode": "HM-2025",
"externalAccountingCode": "4100",
"onlineDisplayName": "Holiday Meals 2025",
"description": "Holiday food distribution to 500 families across the metro region.",
"photoUrl": "https://cdn.virtuoussoftware.com/projects/1501-cover.jpg",
"parentId": null,
"parentName": null,
"isSubProject": false,
"inventoryStatus": "None",
"type": "Program",
"location": "Springfield, OR",
"isRestrictedToGiftSpecifications": false,
"isLimitedToFinancialNeed": false,
"isPublic": true,
"isActive": true,
"isAvailableOnline": true,
"isTaxDeductible": true,
"treatAsAccountsPayable": false,
"beginningBalance": 0,
"currentBalance": 18420,
"financialNeedType": "Fixed",
"financialNeedFrequency": "OneTime",
"financialNeedAmount": 50000,
"startDate": "2025-09-01T00:00:00Z",
"endDate": "2025-12-31T00:00:00Z",
"durationType": "Fixed",
"lifeToDateGiving": 18420,
"lifeToDateGiftCount": 142,
"lifeToDateGiversCount": 128,
"lifeToDateExpenseTotal": 6200,
"calendarYearToDateGiving": 18420,
"calendarYearToDateGiftCount": 142,
"calendarYearToDateGiversCount": 128,
"calendarYearToDateExpenseTotal": 6200,
"createDateTimeUtc": "2025-09-01T08:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"giftSpecifications": [
{
"amount": 50,
"frequency": "OneTime"
},
{
"amount": 100,
"frequency": "OneTime"
}
],
"customFields": {}
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?